# Class ChunkExtension

java.lang.Object
org.apache.tomcat.util.http.parser.ChunkExtension

public class ChunkExtension extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `ChunkExtension.State`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChunkExtension.State`
  `parse(byte b, ChunkExtension.State state)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### parse

    public static ChunkExtension.State parse(byte b, ChunkExtension.State state) throws IOException
    Throws:
      `IOException`